Package com.xebialabs.xlrelease.domain.events

## Class CreatedFromDsl$

- java.lang.Object
- - scala.runtime.AbstractFunction0<CreatedFromDsl>
  - - com.xebialabs.xlrelease.domain.events.CreatedFromDsl$

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Function0<CreatedFromDsl>`

      public class CreatedFromDsl$
      extends scala.runtime.AbstractFunction0<CreatedFromDsl>
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CreatedFromDsl$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CreatedFromDsl$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CreatedFromDsl` | `apply()` |
    `java.lang.String` | `toString()` |
    `boolean` | `unapply​(CreatedFromDsl x$0)` |

    - ### Methods inherited from class scala.runtime.AbstractFunction0

      `apply$mcB$sp, apply$mcC$sp, apply$mcD$sp, apply$mcF$sp, apply$mcI$sp, apply$mcJ$sp, apply$mcS$sp, apply$mcV$sp, apply$mcZ$sp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final CreatedFromDsl$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### CreatedFromDsl$

          public CreatedFromDsl$()

  - ### Method Detail

    - #### toString

          public final java.lang.String toString()

      Specified by:
        `toString` in interface `scala.Function0<CreatedFromDsl>`
      Overrides:
        `toString` in class `scala.runtime.AbstractFunction0<CreatedFromDsl>`

    - #### apply

          public CreatedFromDsl apply()

      Specified by:
        `apply` in interface `scala.Function0<CreatedFromDsl>`

    - #### unapply

          public boolean unapply​(CreatedFromDsl x$0)